<md-card class="user-component">
  <div class="flex-container admin-home-header" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
    <div fxFlex="15" fxLayoutAlign="center center">
      <!--Display the user's picture. if he hasn't got one, dislay an icon-->
      <div *ngIf="inputUser.user.hasPicture">
        <img src="http://localhost:8082/api/users/{{this.inputUser.id}}/picture/token?token={{authenticationService.getToken()}}"
          width="90px" height="90px" class="circle">
      </div>
      <div *ngIf="!inputUser.user.hasPicture">
        <div class="circle no-profile-pic ">
          <md-icon class="user-big-icon">face</md-icon>
        </div>
      </div>
    </div>
    <div fxFlex="20">
      <div fxLayout="column">
        <div fxFlex="33" class="user-heading">
          Name
        </div>
        <div fxFlex="33">
          {{inputUser.user.firstName }}
        </div>
        <div fxFlex="33">
          {{inputUser.user.lastName }}
        </div>
      </div>
    </div>
    <div fxFlex="10">
      <div fxLayout="column">
        <div fxFlex="50" class="user-heading">
          Role
        </div>
        <div fxFlex="50">
          {{inputUser.user.role }}
        </div>
      </div>
    </div>
    <div fxFlex="10">
      <div fxLayout="column">
        <div fxFlex="50" class="user-heading">
          Registered
        </div>
        <div fxFlex="50">
          {{inputUser.registrationDate}}
        </div>
      </div>
    </div>
    <div fxFlex="29" fxLayoutAlign="end center">
      <div *ngIf="inputUser.id !== 1 && inputUser.id !== yourId">
        <app-approve [(inputUser)]="inputUser"></app-approve>
      </div>
    </div>
    <!-- The user with id 1 is the SuperAdmin and can not be disapproved or deleted -->
    <!-- Also, you can not disapprove or delete yourself -->
    <!-- The edit button for your own or the super admin's page redirects to the settings page -->
    <div fxFlex="8" fxLayoutAlign="end center">
      <div *ngIf="inputUser.id !== 1 && inputUser.id !== yourId">
        <button md-mini-fab mdTooltip="Edit user" (click)="goToUser(inputUser)"><md-icon>mode_edit</md-icon></button>
      </div>
      <div *ngIf="inputUser.id === yourId">
        <button md-mini-fab mdTooltip="Edit user" routerLink="/settings"><md-icon>mode_edit</md-icon></button>
      </div>
    </div>
    <div fxFlex="8" fxLayoutAlign="end center">
      <div *ngIf="inputUser.id !== 1 && inputUser.id !== yourId">
        <button md-mini-fab mdTooltip="Delete user" (click)="onDelete(false)"><md-icon>delete_forever</md-icon></button>
      </div>
    </div>
  </div>
</md-card>
